﻿Imports MindFusion.Charting

Class Generator
	Implements Series
	Public Sub New(size As Integer, maxX As Double, maxY As Double, title As String)
		Me.m_size = size
		Me.maxX = maxX
		Me.maxY = maxY
		Me.m_Title = title
	End Sub

	Public Function GetValue(index As Integer, dimension As Integer) As Double Implements MindFusion.Charting.Series.GetValue
		If dimension = 0 Then
			Return index * maxX / m_size
		End If

		Return maxY / 2 + Math.Sin(Math.PI * index \ 360) * maxY / 2
	End Function

	Public Function GetLabel(index As Integer, kind As MindFusion.Charting.LabelKinds) As String Implements MindFusion.Charting.Series.GetLabel
		Return Nothing
	End Function

	Public Function IsEmphasized(index As Integer) As Boolean Implements MindFusion.Charting.Series.IsEmphasized
		Return False
	End Function

	Public ReadOnly Property SupportedLabels As MindFusion.Charting.LabelKinds Implements MindFusion.Charting.Series.SupportedLabels
		Get
			Return LabelKinds.None
		End Get
	End Property

	Public Function IsSorted(dimension As Integer) As Boolean Implements MindFusion.Charting.Series.IsSorted
		Return dimension = 0
	End Function

	Public ReadOnly Property Size As Integer Implements MindFusion.Charting.Series.Size
		Get
			Return m_size
		End Get
	End Property

	Public ReadOnly Property Dimensions As Integer Implements MindFusion.Charting.Series.Dimensions
		Get
			Return 2
		End Get
	End Property

	Public ReadOnly Property Title As String Implements MindFusion.Charting.Series.Title
		Get
			Return m_Title
		End Get
	End Property

			Private m_Title As String

			Private m_size As Integer
			Private maxX As Double
			Private maxY As Double

	Public Event DataChanged(sender As Object, e As System.EventArgs) Implements MindFusion.Charting.Series.DataChanged
End Class

